#include "record.h"
#include "speedmeter.h"
#include "xtypewatch.h"
#include <strstream.h>
#include <string.h>
#include <stdlib.h>

void 
SpeedMeter::checkevent()
{
    float lvl =  parent_->recorder_->getspeed();
    drawLevel(lvl);
    tryWarn(lvl);
}


SpeedMeter::SpeedMeter(XTypeWatch *parent, int x, int y, int width, int height)
    : DangerMeter(parent, x,y,width, height, "speed", "spd/danger/ok") 
{
    recorder_ = parent_->recorder_;
    parent_->addResource( "speed", NULL, "350,500" );
}

void SpeedMeter::checkResources( void )
{
    DangerMeter::checkResources();

    const char *s=parent_->getResource("speed");
    
    char *q=strdup(s);
    {
	istrstream ss(q, strlen(q));
	char c;
	ss >> danger_>>c>>max_;
	if (danger_ < 0 || max_ < 0  ||danger_>max_){
	    cerr << "parameters"<<endl;
	    exit(1);
	}
    }
    danger_ /= 60;
    max_ /= 60;
    
    total_ = max_;
    free(q);
}
